Subject: Re: Why text=binary mounts (Re: Gnu-win32 (b18), coolview and NTE
From: [email-masked] (Larry Hall)

11 Jan 1998 22:02:18 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Michael Hirmke <[email-masked]>
Cc: [email-masked]

Michael Hirmke wrote:
> 
> Larry Hall (RFK Partners Inc) [[email-masked]] wrote:
> 
> [...]
> >Not necessarily.  Various programs do this, including vim and, I think,
> >NTEmacs.
> >
> >>How do the MS-land programs that understand both line terminations work?
> >>They probably just accept either on input, then do \r\n on output, right?
> >
> >Precisely.
> 
> Nope, vim for example reads files in "textmode" or "notextmode" and
> also writes them in the same manner. This is true for the Cygnus
> compiled vim and for the VC++ compiled one under Windows.
> Otherwise you would destroy all your Unix style line breaks, when
> reading and writing a file with it.
> 
> >
> >
> >Larry Hall                              [email-masked]
> 
> Bye.
> Michael.
> --
> Michael Hirmke           | Telefon +49 (911) 557999
> Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
> 90489 Nuernberg          | E-Mail  mailto:[email-masked]
>                          | WWW     http://minimike.franken.de/
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

Michael,

This is taken out of context.  vim works as you describe however I
was not insinuating that vim worked as "MS-land" programs.  I was 
considering the original poster's definition of "MS-land" programs
as native Win32 programs and not ports of software to this platform
or others.  If anyone else got the impression I meant otherwise, 
please accept my apologies.

-- 
Larry
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".